> ## Documentation Index
> Fetch the complete documentation index at: https://docs.averohq.sk/llms.txt
> Use this file to discover all available pages before exploring further.

# List calls

> List calls for the workspace (newest first).



## OpenAPI

````yaml GET /v1/calls
openapi: 3.1.0
info:
  title: Avero Public API
  version: 1.0.0
  description: >-
    REST API for importing leads, reading calls and accessing recordings.
    Authenticate with a Bearer API key (pf_live_...).
servers:
  - url: https://api.averohq.sk
    description: Production
security: []
paths:
  /v1/calls:
    get:
      tags:
        - public-api
      summary: List Calls
      description: List calls for the workspace (newest first).
      operationId: list_calls_v1_calls_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.